Namespace
library
Image / Tag
consul:1.14.4
Content Digest
sha256:5f3ac2854fe282542a00f6ed43d53fe9f82d3d3c2fae56a52db12c668ad558e2
Details
Created

2023-02-25 07:45:53 UTC

Size

52.6 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.14.4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:13a1d7e543968b1c2bd92ca5f2fb2e964b31713fc7707305c1cdfb935ca3e631 - 5.14% (2.7 MB)

[#001] sha256:501fa0d2270d99410b804c51c9a48310c830527e0373d235ddd9a73fb19a0d9d - 0.0% (1.24 KB)

[#002] sha256:b38627f00c0d2c5e6f7a70c7645c533ea9aac2d58c156aa621fdcc724a3e236e - 94.85% (49.8 MB)

[#003] sha256:d5d38c3f60ea18c0dbd484ee641ec5591162d2bf439a605df9fda1cc14742c0a - 0.0% (175 Bytes)

[#004] sha256:e49a7c0c142b459d073e80adf615a89c7f0e72c5072ad4ea6f832dd5f02fb799 - 0.0% (154 Bytes)

[#005] sha256:6ca7a4f11aaf919b50b93b8068034bbd8f58e77cfd91e9cd99dd3d85fa27d4c2 - 0.0% (1.74 KB)


History
2023-02-10 21:24:34 UTC

/bin/sh -c #(nop) ADD file:35855658886412913d05c0f9e29bf8f650c0d37e20100a9de118b468f86f7f30 in /

2023-02-10 21:24:34 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-02-25 07:45:44 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.4

2023-02-25 07:45:44 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.4 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2023-02-25 07:45:44 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2023-02-25 07:45:45 UTC

|1 CONSUL_VERSION=1.14.4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2023-02-25 07:45:51 UTC

|1 CONSUL_VERSION=1.14.4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2023-02-25 07:45:52 UTC

|1 CONSUL_VERSION=1.14.4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2023-02-25 07:45:52 UTC

|1 CONSUL_VERSION=1.14.4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2023-02-25 07:45:53 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2023-02-25 07:45:53 UTC

/bin/sh -c #(nop) EXPOSE 8300

2023-02-25 07:45:53 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2023-02-25 07:45:53 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2023-02-25 07:45:53 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2023-02-25 07:45:53 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-02-25 07:45:53 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2023-02-11 07:42:24 UTC

Size

53.7 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.14.4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:895e193edb5191bf66fb5ccb29f5d3659e05eec5953255180cbdd66520e7c517 - 5.02% (2.7 MB)

[#001] sha256:9a8ecfd7194bf52cc635a09f166d65bd7e3e2606742a80b92b5f20f62e0dc5c9 - 0.0% (1.24 KB)

[#002] sha256:e68aafa623d724662b3de9830489da6d0c72f9a8c068008fe4c014d11a065fcb - 94.98% (51 MB)

[#003] sha256:80cb2d1beebfdb525fec637835291e977821122b6ef2bb2ca0ead87c9846ef77 - 0.0% (176 Bytes)

[#004] sha256:a563b41aad02911ebb8da0a822af67e06a9ad256e2a5c5f083fa3058938d90a7 - 0.0% (154 Bytes)

[#005] sha256:9917a9cd9617563b1b88ebb2c1b3054e0f53c990c3c89c069bb4ca74b2713fcb - 0.0% (1.74 KB)


History
2023-02-11 04:46:54 UTC

/bin/sh -c #(nop) ADD file:cdac18271416ac5bf6876b7ea9af1129108d03f9813589dfda113e5f09d6b80b in /

2023-02-11 04:46:55 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-02-11 07:42:15 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.4

2023-02-11 07:42:15 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.4 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2023-02-11 07:42:15 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2023-02-11 07:42:16 UTC

|1 CONSUL_VERSION=1.14.4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2023-02-11 07:42:22 UTC

|1 CONSUL_VERSION=1.14.4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2023-02-11 07:42:22 UTC

|1 CONSUL_VERSION=1.14.4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2023-02-11 07:42:23 UTC

|1 CONSUL_VERSION=1.14.4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2023-02-11 07:42:23 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2023-02-11 07:42:23 UTC

/bin/sh -c #(nop) EXPOSE 8300

2023-02-11 07:42:23 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2023-02-11 07:42:23 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2023-02-11 07:42:23 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2023-02-11 07:42:24 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-02-11 07:42:24 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2023-02-25 02:33:32 UTC

Size

51.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.14.4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:ed6cbaa656dcebfe8d252792a339ccf10dddd695875f07c9636d59a5baf85f3f - 4.9% (2.51 MB)

[#001] sha256:1b3f5a1168744f7ebd06856d9d53f89eb95795f7c90944d3a104a18c68685d47 - 0.0% (1.24 KB)

[#002] sha256:a97f60086ee52d11bc7ba54212f27e9f572c66b8214f74dd166f3769cb69d205 - 95.09% (48.7 MB)

[#003] sha256:fcc7e963515ef8c3d4c33fa57b2810a7a3257bb83b085d8f5a2b31d4f0c2226a - 0.0% (175 Bytes)

[#004] sha256:7eeec2615e0a915f4bcf2cab37a175bc5340d1882c15275a199cecf45e3906d6 - 0.0% (154 Bytes)

[#005] sha256:c7e9bedbd2b663733d1b427681701aa7b7ada96d02848563e0c4ef7a282b951b - 0.0% (1.74 KB)


History
2023-02-10 20:49:37 UTC

/bin/sh -c #(nop) ADD file:141468a99f598ddb90dbb73978d10c0f00d01ece185e157ac33a0a1414d45944 in /

2023-02-10 20:49:37 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-02-25 02:33:23 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.4

2023-02-25 02:33:23 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.4 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2023-02-25 02:33:23 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2023-02-25 02:33:24 UTC

|1 CONSUL_VERSION=1.14.4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2023-02-25 02:33:30 UTC

|1 CONSUL_VERSION=1.14.4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2023-02-25 02:33:31 UTC

|1 CONSUL_VERSION=1.14.4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2023-02-25 02:33:31 UTC

|1 CONSUL_VERSION=1.14.4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2023-02-25 02:33:32 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2023-02-25 02:33:32 UTC

/bin/sh -c #(nop) EXPOSE 8300

2023-02-25 02:33:32 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2023-02-25 02:33:32 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2023-02-25 02:33:32 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2023-02-25 02:33:32 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-02-25 02:33:32 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2023-02-10 22:01:35 UTC

Size

50.7 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.14.4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:404f35918b797abb27547df3b530ec55a77c499c4dce88f3b90867115087f9e7 - 5.12% (2.6 MB)

[#001] sha256:0f5f5a93605265de2bf7d1ce0a04b31e9206424042dd482959fa40ae232e004c - 0.0% (1.24 KB)

[#002] sha256:f2643ebb7531da6503768460e59c74886ed8290708898a767795e01cc43ff35d - 94.87% (48.1 MB)

[#003] sha256:94d229f64652a58dfbe39028360c58d336eeb0d20c9d25472dd0530766bb84bf - 0.0% (175 Bytes)

[#004] sha256:833943f861feda487a0c0d67bd4db9cb122b2a3c32160d897d3b30ae71e01924 - 0.0% (154 Bytes)

[#005] sha256:8986cc9f0209a2e424ae170ce3a41bdcf3a0e14e1d6ff01d0106d0c979a1eecb - 0.0% (1.74 KB)


History
2023-02-10 21:24:16 UTC

/bin/sh -c #(nop) ADD file:a73970ac03f28a1d3b9aaee19e859d958867b42fb91f29efb1259fbddc66ffb1 in /

2023-02-10 21:24:16 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-02-10 22:01:26 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.4

2023-02-10 22:01:26 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.4 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2023-02-10 22:01:26 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2023-02-10 22:01:27 UTC

|1 CONSUL_VERSION=1.14.4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2023-02-10 22:01:33 UTC

|1 CONSUL_VERSION=1.14.4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2023-02-10 22:01:34 UTC

|1 CONSUL_VERSION=1.14.4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2023-02-10 22:01:34 UTC

|1 CONSUL_VERSION=1.14.4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2023-02-10 22:01:34 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2023-02-10 22:01:34 UTC

/bin/sh -c #(nop) EXPOSE 8300

2023-02-10 22:01:35 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2023-02-10 22:01:35 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2023-02-10 22:01:35 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2023-02-10 22:01:35 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-02-10 22:01:35 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]